Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc.internal.signature
Class DigitalCertificatePart

    java.lang.Object
      org.apache.poi.openxml4j.opc.PackagePart
          org.apache.poi.openxml4j.opc.internal.signature.DigitalCertificatePart

All Implemented Interfaces:
  RelationshipSource

    public final class DigitalCertificatePart

extends PackagePart

Digital certificate part.

Version:
  0.1
Author:
  Julien Chable

Constructor Summary
`DigitalCertificatePart()`

Method Summary
`void` | `close()` Close this part : flush this part, close the input stream and output stream.
`void` | `flush()` Flush the content of this part.
`boolean` | `load(java.io.InputStream ios)` Load the content of this part.
`boolean` | `save(java.io.OutputStream zos)` Save the content of this part and the associated relationships part (if this part own at least one relationship) into the specified output stream.

Methods inherited from class org.apache.poi.openxml4j.opc.PackagePart
`addExternalRelationship, addExternalRelationship, addRelationship, addRelationship, addRelationship, addRelationship, clearRelationships, getContentType, getInputStream, getOutputStream, getPackage, getPartName, getRelatedPart, getRelationship, getRelationships, getRelationshipsByType, hasRelationships, isDeleted, isRelationshipExists, isRelationshipPart, removeRelationship, setContentType, setDeleted, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigitalCertificatePart

    public DigitalCertificatePart()
                           throws InvalidFormatException

Throws:
  `InvalidFormatException`

Method Detail

### close

    public void close()

  Description copied from class: `PackagePart`
  Close this part : flush this part, close the input stream and output stream. After this method call, the part must be available for packaging.

  Specified by:
    `close` in class `PackagePart`

### flush

    public void flush()

  Description copied from class: `PackagePart`
  Flush the content of this part. If the input stream and/or output stream as in a waiting state to read or write, the must to empty their respective buffer.

  Specified by:
    `flush` in class `PackagePart`

### load

    public boolean load(java.io.InputStream ios)
                 throws InvalidFormatException

  Description copied from class: `PackagePart`
  Load the content of this part.

  Specified by:
    `load` in class `PackagePart`
  Parameters:
    `ios` - The input stream of the content to load.
  Returns:
    true if the content has been successfully loaded, else false.
  Throws:
    `InvalidFormatException` - Throws if the content format is invalid.

### save

    public boolean save(java.io.OutputStream zos)
                 throws OpenXML4JException

  Description copied from class: `PackagePart`
  Save the content of this part and the associated relationships part (if this part own at least one relationship) into the specified output stream.

  Specified by:
    `save` in class `PackagePart`
  Parameters:
    `zos` - Output stream to save this part.
  Throws:
    `OpenXML4JException` - If any exception occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD